Subject: Re: [sup-devel] Maildir souce id rework

From: Scott Henson <[email-masked]>
Date: Mon, 8 Mar 2010 00:41:28 -0500

On Mon, Mar 8, 2010 at 12:19 AM, Scott Henson <[email-masked]> wrote:

> I've created a branch that changes the id that the maildir source returns,
> which is then used as the source_info field inside the index.  It seems to
> work well for me and I'd appreciate some more testing.  This work should
> make the maildir source more robust and more friendly to other clients
> accessing the source without completely throwing sup for a loop.  It will
> also help sync back for maildir (more on this in a second email).
>
> A couple notes.  First, the base source.rb class says that the id returned
> needs to be an integer, but that doesn't seem to be the case.  Also, you'll
> note that start_offset and end_offset are not really telling the truth in my
> version of the maildir source.  This doesn't seem to be a problem as nothing
> seems to be using those two functions.  Second, this source might be
> slightly slower in some places than the original source and faster in
> others.  I think most of the work is done in scan_mailbox and the rest of
> the source should be pretty light.  If anyone has any ideas on how to make
> scan_mailbox lighter, I'd be very interested.  Also, reset might take a
> while since it has to sort the ids array.
>
> Any help in making this better would be much appreciated.  Thanks.
>
>
Probably need to provide a link.
http://github.com/shenson/sup/tree/maildir

-- 
Scott Henson
_______________________________________________
Sup-devel mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-devel